For the complete documentation index, see llms.txt. This page is also available as Markdown.

Partner subscriptions

Calculate Partner Subscription Renewal Price

post

Calculate the renewal price for partner subscriptions including discounts, margins, and pricing options. This endpoint allows partners to get accurate pricing before placing a renewal order.

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
Responses
200

Renewal price calculated successfully

application/json
CurrencystringOptional

Currency code

Example: USD
NetPricenumber · floatOptional

Net price (excluding tax)

Example: 850
GrossPricenumber · floatOptional

Gross price (including tax)

Example: 1020
Vatnumber · floatOptional

VAT/tax amount

Example: 170
TotalDiscountnumber · floatOptional

Total discount amount

Example: 150
Discountnumber · floatOptional

Base discount amount

Example: 100
PartnerMarginnumber · floatOptional

Partner margin amount

Example: 200
ExtraMarginnumber · floatOptional

Extra margin applied

Example: 50
ExtraDiscountnumber · floatOptional

Extra discount applied

Example: 50
post
/channelmanager/subscriptions/renewalPrice

Place Partner Subscription Renewal Order

post

Place a renewal order for partner subscriptions. Returns the order reference number upon successful creation.

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
ExternalReferenceNumberstringOptional

External reference number for tracking

Example: PO-2024-001
CommentstringOptional

Comment to attach to the order

Example: Annual renewal for enterprise customer
Responses
200

Renewal order placed successfully

application/json

Order placement response

RefNointegerOptional

Order reference number

Example: 987654321
StatusstringOptional

Order status

Example: PENDING
TotalAmountnumber · floatOptional

Total order amount

Example: 1020
CurrencystringOptional

Currency code

Example: USD
post
/channelmanager/subscriptions/placeRenewalOrder

Calculate Partner Subscription Upgrade Price

post

Calculate the upgrade price for partner subscriptions to a different product including price differentials, discounts, and margins.

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
Responses
200

Upgrade price calculated successfully

application/json
CurrencystringOptional

Currency code

Example: USD
NetPricenumber · floatOptional

Net price (excluding tax)

Example: 850
GrossPricenumber · floatOptional

Gross price (including tax)

Example: 1020
Vatnumber · floatOptional

VAT/tax amount

Example: 170
TotalDiscountnumber · floatOptional

Total discount amount

Example: 150
Discountnumber · floatOptional

Base discount amount

Example: 100
PartnerMarginnumber · floatOptional

Partner margin amount

Example: 200
ExtraMarginnumber · floatOptional

Extra margin applied

Example: 50
ExtraDiscountnumber · floatOptional

Extra discount applied

Example: 50
post
/channelmanager/subscriptions/upgradePrice

Place Partner Subscription Upgrade Order

post

Place an upgrade order for partner subscriptions to a different product. Returns the order reference number upon successful creation.

Header parameters
Acceptstring · enumRequiredDefault: application/jsonExample: application/jsonPossible values:
X-Avangate-AuthenticationstringRequired

Authentication header

Example: code="{VENDOR_CODE}" date="{REQUEST_DATE_TIME}" hash="{HASH}"
Body
ExternalReferenceNumberstringOptional

External reference number for tracking

Example: UPG-2024-001
CommentstringOptional

Comment to attach to the order

Example: Upgrade to enterprise plan
Responses
200

Upgrade order placed successfully

application/json

Order placement response

RefNointegerOptional

Order reference number

Example: 987654321
StatusstringOptional

Order status

Example: PENDING
TotalAmountnumber · floatOptional

Total order amount

Example: 1020
CurrencystringOptional

Currency code

Example: USD
post
/channelmanager/subscriptions/placeUpgradeOrder

Last updated

Was this helpful?